PLSCMAP1(3)

NAME
plscmap1 - Set opaque RGB cmap1 colors values

SYNOPSIS
plscmap1(r, g, b, ncol1)

DESCRIPTION

Set opaque cmap1 colors (see the PLplot documentation) using RGB vector values. This function also sets the number of cmap1 colors. N.B. Continuous cmap1 colors are indexed with a floating-point index in the range from 0.0-1.0 which is linearly transformed (e.g., by plcol1(3)) to an integer index of these RGB vectors in the range from 0 to ncol1-1. So in order for this continuous color model to work properly, it is the responsibility of the user of plscmap1(3) to insure that these RGB vectors are continuous functions of their integer indices.

Redacted form: plscmap1(r, g, b)

This function is used in example 31.

ARGUMENTS

r (PLINT_VECTOR(3), input)
    A vector that represents (using unsigned 8-bit integers in the range from 0-255) the degree of red in the color as a continuous function of the integer index of the vector.

g (PLINT_VECTOR(3), input)
    A vector that represents (using unsigned 8-bit integers in the range from 0-255) the degree of green in the color as a continuous function of the integer index of the vector.

b (PLINT_VECTOR(3), input)
    A vector that represents (using unsigned 8-bit integers in the range from 0-255) the degree of blue in the color as a continuous function of the integer index of the vector.

ncol1 (PLINT(3), input)
    Number of items in the r, g, and b vectors.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.